VSTGUI: IStepValue Class Reference

VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Attributes | List of all members
IStepValue Class Referenceabstract
Standalone Library

extension to IValue for a non continous value with discrete steps More...

`#include <ivalue.h>`

Inheritance diagram for IStepValue:

## Public Types
using | StepType = uint32_t

## Public Member Functions
virtual StepType | getSteps () const =0
| Get number of steps.
virtual IValue::Type | stepToValue (StepType step) const =0
| Convert step to normalized value.
virtual StepType | valueToStep (IValue::Type) const =0
| Convert normalized value to step.
Public Member Functions inherited from Interface
virtual | ~Interface () noexcept
| Interface ()=default
| Interface (const Interface &)=delete
| Interface (Interface &&)=delete
Interface & | operator= (const Interface &)=delete
Interface & | operator= (Interface &&)=delete
template<typename T>
const auto | dynamicCast () const
template<typename T>
auto | dynamicCast ()

## Static Public Attributes
static constexpr StepType | InvalidStep = std::numeric_limits<uint32_t>::max ()

## Detailed Description

extension to IValue for a non continous value with discrete steps

## Member Typedef Documentation

## ◆ StepType

using StepType = uint32_t

## Member Function Documentation

## ◆ getSteps()

virtual StepType getSteps | ( |  | ) | const
| pure virtual

Get number of steps.

## ◆ stepToValue()

virtual IValue::Type stepToValue | ( | StepType | step | ) | const
| pure virtual

Convert step to normalized value.

## ◆ valueToStep()

virtual StepType valueToStep | ( | IValue::Type |  | ) | const
| pure virtual

Convert normalized value to step.

## Member Data Documentation

## ◆ InvalidStep

StepType InvalidStep = std::numeric_limits<uint32_t>::max ()
| staticconstexpr

The documentation for this class was generated from the following file:

- ivalue.h